Lines Matching refs:configure

7 # This configure script is free software; the Free Software Foundation
13 # Any additions from configure.in:
102 # Accept the important Cygnus configure options, so we can diagnose typos.
133 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
142 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
168 Usage: configure [options] [host]
175 --version print the version of autoconf that created configure
195 --srcdir=DIR find the sources in DIR [configure dir or ..]
203 --build=BUILD configure for building on BUILD [BUILD=HOST]
204 --host=HOST configure for HOST [guessed]
205 --target=TARGET configure for TARGET [TARGET=HOST]
366 echo "configure generated by autoconf version 2.13"
373 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
386 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
409 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
414 echo "configure: warning: $ac_option: invalid host type" 1>&2
417 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
426 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
448 running configure, to aid debugging if configure makes a mistake.
483 # configure is in, which we can look for to find out if srcdir is correct.
502 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
504 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
568 { echo "configure: error: can not find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." 1>&2; exit 1; }
572 ac_configure=$ac_aux_dir/configure # This should be Cygnus configure.
577 else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
581 echo "configure:582: checking host system type" >&5
589 else { echo "configure: error: can not guess host type; you must specify one" 1>&2; exit 1; }
636 { echo "configure: error: You must specify yes or no to --enable-runidn option." 1>&2; exit 1; }
659 { echo "configure: error: You must specify yes or no to --enable-extra-ace option." 1>&2; exit 1; }
675 { echo "configure: error: You must specify NAME to --with-utf8 option." 1>&2; exit 1; }
700 { echo "configure: error: you can't set value \"yes\" to --enable-runidn and --enable-liteonly simultaneously, because runidn requires iconv support of generic libidnkit." 1>&2; exit 1; }
706 { echo "configure: error: You must specify yes or no to --enable-liteonly option." 1>&2; exit 1; }
726 { echo "configure: error: you can't set value \"yes\" to --enable-runidn and --enable-liteonly simultaneously, because runidn requires iconv support of generic libidnkit." 1>&2; exit 1; }
732 { echo "configure: error: You must specify yes or no to --enable-runidn option." 1>&2; exit 1; }
757 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
769 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
791 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
793 echo "configure: warning: You must supply DIR to --with-iconv-include option.
799 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
808 { echo "configure: error: iconv.h doesn't exist in $iconv_include" 1>&2; exit 1; }
829 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
831 echo "configure: warning: You must supply LIB to --with-iconv option.
837 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
859 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
861 { echo "configure: error: You must supply PATH to --with-iconv-sofile option." 1>&2; exit 1; }
869 echo "configure:870: checking pathname of iconv shared library" >&5
890 echo "configure: warning: use --with-iconv-sofile for specifying iconv shared library file" 1>&2
907 echo "configure: warning: use --with-iconv-sofile for specifying iconv shared library file" 1>&2
919 { echo "configure: error: you can't set iconv options at all when you set value \"yes\" to --enable-liteonly, because lite library does not have iconv support." 1>&2; exit 1; }
958 echo "configure:959: checking for $ac_word" >&5
988 echo "configure:989: checking for $ac_word" >&5
1039 echo "configure:1040: checking for $ac_word" >&5
1067 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
1071 echo "configure:1072: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
1082 #line 1083 "configure"
1087 if { (eval echo configure:1088: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1096 echo "configure: failed program was:" >&5
1110 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
1113 echo "configure:1114: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
1118 echo "configure:1119: checking whether we are using GNU C" >&5
1127 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1128: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
1146 echo "configure:1147: checking whether ${CC-cc} accepts -g" >&5
1189 echo "configure:1190: checking for a BSD compatible install" >&5
1311 echo "configure:1312: checking build system type" >&5
1331 echo "configure:1332: checking for $ac_word" >&5
1370 echo "configure:1371: checking for ld used by GCC" >&5
1394 echo "configure:1395: checking for GNU ld" >&5
1397 echo "configure:1398: checking for non-GNU ld" >&5
1430 test -z "$LD" && { echo "configure: error: no acceptable ld found in \$PATH" 1>&2; exit 1; }
1432 echo "configure:1433: checking if the linker ($LD) is GNU ld" >&5
1448 echo "configure:1449: checking for BSD-compatible nm" >&5
1484 echo "configure:1485: checking whether ln -s works" >&5
1533 echo '#line 1534 "configure"' > conftest.$ac_ext
1534 if { (eval echo configure:1535: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1555 echo "configure:1556: checking whether the C compiler needs -belf" >&5
1560 #line 1561 "configure"
1567 if { (eval echo configure:1568: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1571 echo "configure: failed program was:" >&5
1592 # This file is a shell script that caches the results of configure
1593 # tests run on this system so they can be shared between configure
1594 # scripts and configure runs. It is not useful on other systems.
1597 # By default, configure uses ./config.cache as the cache file,
1598 # creating it if it does not exist already. You can give configure
1600 # what configure does when it calls configure scripts in
1602 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1604 # --recheck option to rerun configure.
1639 # Actually configure libtool. ac_aux_dir is where install-sh is found.
1646 || { echo "configure: error: libtool configure failed" 1>&2; exit 1; }
1674 echo "configure:1675: checking for $ac_word" >&5
1712 echo "configure:1713: checking how to run the C preprocessor" >&5
1727 #line 1728 "configure"
1733 { (eval echo configure:1734: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1739 echo "configure: failed program was:" >&5
1744 #line 1745 "configure"
1750 { (eval echo configure:1751: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1756 echo "configure: failed program was:" >&5
1761 #line 1762 "configure"
1767 { (eval echo configure:1768: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1773 echo "configure: failed program was:" >&5
1795 echo "configure:1796: checking for $ac_hdr" >&5
1800 #line 1801 "configure"
1805 { (eval echo configure:1806: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1812 echo "configure: failed program was:" >&5
1836 echo "configure:1837: checking for $ac_hdr" >&5
1841 #line 1842 "configure"
1846 { (eval echo configure:1847: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1853 echo "configure: failed program was:" >&5
1879 echo "configure:1880: checking for iconv.h" >&5
1884 #line 1885 "configure"
1889 { (eval echo configure:1890: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1896 echo "configure: failed program was:" >&5
1908 { echo "configure: error: iconv.h doesn't exist" 1>&2; exit 1; }
1915 echo "configure:1916: checking for uid_t in sys/types.h" >&5
1920 #line 1921 "configure"
1949 echo "configure:1950: checking for ANSI C header files" >&5
1954 #line 1955 "configure"
1962 { (eval echo configure:1963: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1969 echo "configure: failed program was:" >&5
1979 #line 1980 "configure"
1997 #line 1998 "configure"
2018 #line 2019 "configure"
2029 if { (eval echo configure:2030: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2033 echo "configure: failed program was:" >&5
2053 echo "configure:2054: checking for BOOL" >&5
2058 #line 2059 "configure"
2088 echo "configure:2089: checking for socket in -lsocket" >&5
2096 #line 2097 "configure"
2107 if { (eval echo configure:2108: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2111 echo "configure: failed program was:" >&5
2135 echo "configure:2136: checking for inet_addr in -lnsl" >&5
2143 #line 2144 "configure"
2154 if { (eval echo configure:2155: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2158 echo "configure: failed program was:" >&5
2182 echo "configure:2183: checking for dlopen in -ldl" >&5
2190 #line 2191 "configure"
2201 if { (eval echo configure:2202: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2205 echo "configure: failed program was:" >&5
2235 echo "configure:2236: checking for $ac_func" >&5
2240 #line 2241 "configure"
2263 if { (eval echo configure:2264: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2267 echo "configure: failed program was:" >&5
2291 echo "configure:2292: checking for $ac_func" >&5
2296 #line 2297 "configure"
2319 if { (eval echo configure:2320: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2323 echo "configure: failed program was:" >&5
2346 echo "configure:2347: checking for $ac_func" >&5
2351 #line 2352 "configure"
2374 if { (eval echo configure:2375: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2378 echo "configure: failed program was:" >&5
2401 echo "configure:2402: checking for $ac_func" >&5
2406 #line 2407 "configure"
2429 if { (eval echo configure:2430: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2433 echo "configure: failed program was:" >&5
2456 echo "configure:2457: checking for $ac_func" >&5
2461 #line 2462 "configure"
2484 if { (eval echo configure:2485: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2488 echo "configure: failed program was:" >&5
2511 echo "configure:2512: checking for $ac_func" >&5
2516 #line 2517 "configure"
2539 if { (eval echo configure:2540: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2543 echo "configure: failed program was:" >&5
2567 echo "configure:2568: checking flavor of gethostbyaddr" >&5
2576 #line 2577 "configure"
2592 if { (eval echo configure:2593: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2596 echo "configure: failed program was:" >&5
2606 #line 2607 "configure"
2622 if { (eval echo configure:2623: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2626 echo "configure: failed program was:" >&5
2636 #line 2637 "configure"
2652 if { (eval echo configure:2653: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2656 echo "configure: failed program was:" >&5
2683 { echo "configure: error: can't build runidn, since parameter type list of gethostbyaddr() is unknown to configure." 1>&2; exit 1; }
2696 echo "configure:2697: checking flavor of getnameinfo" >&5
2705 #line 2706 "configure"
2723 if { (eval echo configure:2724: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2727 echo "configure: failed program was:" >&5
2737 #line 2738 "configure"
2755 if { (eval echo configure:2756: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2759 echo "configure: failed program was:" >&5
2769 #line 2770 "configure"
2786 if { (eval echo configure:2787: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2790 echo "configure: failed program was:" >&5
2800 #line 2801 "configure"
2817 if { (eval echo configure:2818: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2821 echo "configure: failed program was:" >&5
2860 { echo "configure: error: can't build runidn, since parameter type list of getnameinfo() is unknown to configure." 1>&2; exit 1; }
2882 echo "configure:2883: checking flavor of gethostbyname_r" >&5
2890 #line 2891 "configure"
2912 if { (eval echo configure:2913: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2916 echo "configure: failed program was:" >&5
2937 echo "configure:2938: checking for libc shared object" >&5
2976 echo "configure:2977: checking for libnsl shared object" >&5
3016 echo "configure:3017: checking for iconv" >&5
3022 #line 3023 "configure"
3034 if { (eval echo configure:3035: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
3038 echo "configure: failed program was:" >&5
3048 { echo "configure: error: iconv function not available" 1>&2; exit 1; }
3054 echo "configure:3055: checking for codeset name $UTF8_NAME" >&5
3063 #line 3064 "configure"
3091 if { (eval echo configure:3092: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
3095 echo "configure: failed program was:" >&5
3111 # This file is a shell script that caches the results of configure
3112 # tests run on this system so they can be shared between configure
3113 # scripts and configure runs. It is not useful on other systems.
3116 # By default, configure uses ./config.cache as the cache file,
3117 # creating it if it does not exist already. You can give configure
3119 # what configure does when it calls configure scripts in
3121 # Giving --cache-file=/dev/null disables caching, for debugging configure.
3123 # --recheck option to rerun configure.
3181 # Generated automatically by configure.
3188 # Compiler output produced by configure, useful for debugging
3189 # configure, is in ./config.log if it exists.
3382 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
3458 # on some systems where configure will not decide to define it.
3488 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h